pcl::IntensityGradient Struct Reference
Module common

A point structure representing the intensity gradient of an XYZI point cloud. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

union {
float gradient [3]
struct {
float gradient_x
float gradient_y
float gradient_z
} |
}; |

## Friends

std::ostream & | operator<< (std::ostream &os, const IntensityGradient &p)

## Detailed Description

A point structure representing the intensity gradient of an XYZI point cloud.

Definition at line 1508 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const IntensityGradient & | p
| ) |  |

friend

## Member Data Documentation

## @51

union { ... }

## gradient

float pcl::IntensityGradient::gradient[3]

Definition at line 1512 of file point_types.hpp.

## gradient_x

float pcl::IntensityGradient::gradient_x

Definition at line 1515 of file point_types.hpp.

## gradient_y

float pcl::IntensityGradient::gradient_y

Definition at line 1516 of file point_types.hpp.

## gradient_z

float pcl::IntensityGradient::gradient_z

Definition at line 1517 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp